#include <iostream>
#include <seplib.h>
#include <stdio.h>
#include <cmath>

int main(int argc, char* argv[])
{
	/*initialize IO*/
	initpar(argc,argv);
	
	/* declare variables*/
	int 	n1,k;
	float 	f,d1;
	float	*s;

	/*retrieve header info and read in data*/	
	//Get values from header file
	if(!getch("n1","d",&n1));
	if(!getch("k","d",&k));
	if(!getch("f","f",&f));
	if(!getch("d1","f",&d1));

	s = new float[n1];
	float pi = 4*atan(1);
	for (int i1=0; i1<n1; i1++) {
		s[i1] = sin(2*pi*f*i1*d1)*exp(-k*i1*d1);
	}
	
	// OUTPUT
	if(!srite("out",s,sizeof*s*n1)) seperr("Could not write Std_out data");	
	if(putch("n1","d",&n1)) seperr("Could not write n1 to file");
	if(putch("d1","f",&d1)) seperr("Could not write n1 to file");	

	delete[] s;

	return 0;
}

