m_list = 3 5 7 9
b_list = 0.9 0.7 0.5 0.1
grey = pclip=90 

nonstat: $(B)/lattice2 $(D)/nonstat.H
	for im in $(m_list); do\
		$(B)/lattice2 < $(D)/nonstat.H m1=$$im m2=1 beta=0.9 back=$(D)/b.H > $(D)/nst$$im.H ;\
		Graph < $(D)/nst$$im.H title="m="$$im", beta=0.9" label1="Seconds" out=$(R)/nst$$im.v > /dev/null ;\
	done
	Graph < $(D)/nonstat.H out=$(R)/nst0.v > /dev/null
	for ib in $(b_list); do\
		$(B)/lattice2 < $(D)/nonstat.H m1=5 m2=1 beta=$$ib back=$(D)/b.H > $(D)/nst$$ib.H ;\
		Graph < $(D)/nst$$ib.H title="m=5, beta=$$ib" label1="Seconds"  out=$(R)/nst$$ib.v > /dev/null ;\
	done
	Rm $(D)/b.H

bb_list = 0.9 0.7
WGstack1: $(B)/lattice2 $(D)/WGstack.H 
	for im in $(bb_list); do\
		$(B)/lattice2 < $(D)/WGstack.H m1=5 m2=1 beta=$$im back=$(D)/b.H > $(D)/WGstack$$im.H ;\
		Grey < $(D)/WGstack$$im.H title="m1=5 m2=1 beta=$$im" out=$(R)/WGstack$$im.v > /dev/null ;\
	done
	Rm $(D)/b.H

bbb_list = 0.99 0.92
WGstack2: $(B)/lattice2 $(D)/WGstack.H 
	for im in $(bbb_list); do\
		$(B)/lattice2 < $(D)/WGstack.H m1=2 m2=3 beta=$$im back=$(D)/b.H > $(D)/WGstack-2-$$im.H ;\
		Grey < $(D)/WGstack-2-$$im.H title="m1=2 m2=3 beta=$$im" out=$(R)/WGstack-2-$$im.v > /dev/null ;\
	done
	Rm $(D)/b.H


